summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlex Brandt <alunduil@gentoo.org>2015-09-13 11:59:54 -0500
committerAlex Brandt <alunduil@gentoo.org>2015-09-13 12:08:05 -0500
commita5c91e1728e5ccdd17dac20f09329e7d3bfbdbe8 (patch)
treea2758c9de2b925dce269d9b9d0a225d7cf8174ff /dev-python
parentpackage.mask: Clean up old entries. (diff)
downloadgentoo-a5c91e1728e5ccdd17dac20f09329e7d3bfbdbe8.tar.gz
gentoo-a5c91e1728e5ccdd17dac20f09329e7d3bfbdbe8.tar.bz2
gentoo-a5c91e1728e5ccdd17dac20f09329e7d3bfbdbe8.zip
dev-python/boto3: add version 1.1.3
Package-Manager: portage-2.2.20.1
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.1.3.ebuild54
2 files changed, 55 insertions, 0 deletions
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 146b92c08f7..70174990795 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -1,2 +1,3 @@
DIST boto3-1.1.1.tar.gz 137778 SHA256 02a99f270f58386dad6e260692b52f7038d52a9a84df29878528a573afecd88a SHA512 34019c8a3744775a952ae151b56747fc011fd4f28853e3d206f95bb8dd03746ad3d4086cd187d332930d543ca757d81bb732ccfd7cfd818aa8e75d73b1880be5 WHIRLPOOL 0032f5751df61bd71d60ea87ece0ce1be873a6fcd561d7600fcf62f1dd7b701963629368b46010b7a90719395adc652ca5059646af42510d72c05b7e3c5cf49e
DIST boto3-1.1.2.tar.gz 141981 SHA256 6249add14f96b5e4cda0ac03798ab29f505c001332d2fb31ccb276e0ddcc5a15 SHA512 89b0abdab69dcd0c8ed612ecd70e5bdb88cc5242a3846fbdc5f708118d3f0db8c7eb5683422030eb630427dba53a5ea1780f5abbab58a021bf0bcacdeca07aef WHIRLPOOL c7c27d8c3c99ea992b2235beb60221c2899ea94557115b76366ce5922cef3606d9a2f907b0fdcce18e2eee1b19675849a354b50d429aa83ec1c364bf91a7ca5d
+DIST boto3-1.1.3.tar.gz 145381 SHA256 c158da65712807de421b66d3b81b1da6a449bc631045b2312855086991e7318e SHA512 a049b8d73f45cf552705764c3ae4a3e8ec19920983bd5587a0563501868920d5237f4e37081ab09a0cda1f48725c6117cd0367633ec027180152bcaa3364383d WHIRLPOOL 0c9f92f16cb5a0210d331ca5bf7199e0c0a0d8051fbe41922f9dee45221a4697816b7d42e323916cf806973abf455c7b6f866a6931cdbfe9d61151cb4eb192c0
diff --git a/dev-python/boto3/boto3-1.1.3.ebuild b/dev-python/boto3/boto3-1.1.3.ebuild
new file mode 100644
index 00000000000..f67bcade54c
--- /dev/null
+++ b/dev-python/boto3/boto3-1.1.3.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 python3_3 python3_4 )
+
+inherit distutils-r1 vcs-snapshot
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="https://github.com/boto/boto3"
+SRC_URI="https://github.com/boto/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="doc test"
+
+CDEPEND="
+ >=dev-python/botocore-1.2.0[${PYTHON_USEDEP}]
+ <dev-python/botocore-1.3.0[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.6.2[${PYTHON_USEDEP}]
+ <dev-python/jmespath-1.0.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '=dev-python/futures-2.2.0[${PYTHON_USEDEP}]' 'python2_7')
+"
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ doc? (
+ >=dev-python/guzzle_sphinx_theme-0.7.10[${PYTHON_USEDEP}]
+ <dev-python/guzzle_sphinx_theme-0.8[${PYTHON_USEDEP}]
+ >=dev-python/sphinx-1.1.3[${PYTHON_USEDEP}]
+ <dev-python/sphinx-1.3[${PYTHON_USEDEP}]
+ )
+ test? (
+ ${CDEPEND}
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/nose[${PYTHON_USEDEP}]
+ )
+"
+RDEPEND="${CDEPEND}"
+
+python_compile_all() {
+ use doc && emake -C docs html
+}
+
+python_test() {
+ nosetests tests/unit/ tests/functional/ || die "test failed under ${EPYTHON}"
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( docs/build/html/. )
+
+ distutils-r1_python_install_all
+}